Updates

German : Die fortgeschrittenste Typesetter - Version ist der Github - Master 5.11b1.  Auf  Github liegt jetzt eine 5.1.1-CE , die an php7.3 angepasst wurde und verschiedenste Updates enthält.


  Typesetter verwendete für seine Email eine ältere Version 5.21 des PHPmailer, die erst in der Beta 5.1.1b1 im Herbst 2019 upgedatet wurde, die  auch von  Codeigniter und von Email-Klienten von Typo3 und Joomla verwendet wird. Sie hatte  einige  versteckte Sicherheitslücken,  für die ein Update besteht.

Benennen sie gegebenenfalls zum Update einfach das Verzeichnis / include / thirdparty / PHPMailer in PHPMailer.old  um und entpacken das  PHPmailer Update 05/02/27 -zip dorthin.  Das Update gibt es jetzt auch als Plugin.

* Csstidy

Less - Update : Typesetter verwendet less 1.7.0.10, und es gibt ein Update 1.7.0.14 für bis php 7.2, das sogar etwas schneller ist. Dazu erstellen Sie im VZ less.php ein Unterverzeichnis ___tmp und schieben alle Dateien und VZ hinein. Danach kopieren Sie den Inhalt des obigen zips hinein (z.B. mit Filezilla Portable). Diese Version ist noch nicht für PHP 7.3 fehlerlos. Auf Wunsch biete ich hier die Version 1.8.1 an( raw - nicht für Typesetter angepasst) , die PHP von 5.3 bis 7.3 kann.(Die CE-Version kann PHP 7.3)

(  Typesetter hat seit der Version 5.1 einen kleinen Bug mit dem 'Passwort vergessen',  wenn der Benutzer nicht explizit sha512 als Sicherheit auswählt. In der neusten Github-Beta vom November 2019 wurde das Problem gelöst. Ältere 5.1-Versionen sollten bei password_hash temporär einen zweiten Benutzer mit den gleichen Rechten wie der Admin anlegen. Man kann gegebenenfalls im Verzeichnis  /data / _ site / users.php  auf  sha512 umstellen.

English :

  Typesetter 5.1  uses a version 5.21 of PHPMailer, which has several security - issues. PHPMailer is also used in codeigniter  and by email clients of Typo3 and of Joomla . Typesetter 5.1.1b1 updated phpmailer in winter 2019 to version 5.27.

 Users of older versions should for installation rename the directory  / Include / thirdparty / PHPMailer into PHPMailer.old and unpack the PHPmailer - Update 02/05/27 - zip, which contains  PHPmailer 5.2.27.  For the update exists now a plugin.

Less - Update: Typesetter uses less 1.7.0.10 there is an update 1.7.0.14 for up to php 7.2. To do this, create a subdirectory ___tmp in the VF less.php and insert all files and VZ into it. Then copy the contents of the above zips into it (for example with Filezilla Portable). This version is not yet flawless for PHP 7.3. On request, I offer the version 1.8, which can php5.6 to 7.3. (The CE - Version can do Php 5.3 to  7.3)

 ( At the moment Typesetter has a small bug  with 'Lost Password' --- if the user uses passord_hash (sha512 functions !) as security. If you want to suppress the habitual selection of password_hash, you can also swap lines 552 and 553 in admin / settings / users.php You can also manually reset the value in /data / _ site / users.php to sha512.  The most progressed Typesetter version is the master 5.11b1 at Github, where the problem was solved in November 2019.)

At  Github is now a Typesetter 5.1.1-CE , whiie an php7.3 angepasst wurde und verschiedenste Updates enthält.

*** Updates for ckeditor